## markdown-exec 1.0.0

=== debian/changelog ===
markdown-exec (1.0.0-2) unstable; urgency=medium

  * Source only upload

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 13 Jan 2023 18:38:42 +0100

markdown-exec (1.0.0-1) unstable; urgency=medium

  * [719bdb8] New upstream version 1.0.0
  * [9d1bb06] First basic Debianization
    (Closes: #1026261)

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 21 Dec 2022 19:04:22 +0100

## markdown-exec 1.2.0

=== debian/changelog ===
markdown-exec (1.2.0-1) unstable; urgency=medium

  * [fc3c625] New upstream version 1.2.0
  * [b11a8a0] d/copyright: Update year data

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 05 Feb 2023 12:08:55 +0100

## markdown-exec 1.6.0

=== Makefile ===
.DEFAULT_GOAL := help
SHELL := bash

DUTY = $(shell [ -n "${VIRTUAL_ENV}" ] || echo pdm run) duty

args = $(foreach a,$($(subst -,_,$1)_args),$(if $(value $a),$a="$($a)"))
check_quality_args = files
docs_args = host port
release_args = version
test_args = match

BASIC_DUTIES = \
	changelog \
	check-api \
	check-dependencies \
	clean \
	coverage \
	docs \
	docs-deploy \
	format \
	release

QUALITY_DUTIES = \
	check-quality \
	check-docs \
	check-types \
	test

.PHONY: help
help:
	@$(DUTY) --list

.PHONY: lock
lock:
	@pdm lock

.PHONY: setup
setup:
	@bash scripts/setup.sh

.PHONY: check
check:
	@pdm multirun duty check-quality check-types check-docs
	@$(DUTY) check-dependencies check-api

.PHONY: $(BASIC_DUTIES)
$(BASIC_DUTIES):
	@$(DUTY) $@ $(call args,$@)

.PHONY: $(QUALITY_DUTIES)
$(QUALITY_DUTIES):
	@pdm multirun duty $@ $(call args,$@)

## markdown-exec 1.4.0

=== debian/changelog ===
markdown-exec (1.4.0-1) unstable; urgency=medium

  * [2aede3c] New upstream version 1.4.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Mar 2023 07:26:01 +0100

markdown-exec (1.3.0-1) unstable; urgency=medium

  * [8a80096] New upstream version 1.3.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 27 Feb 2023 12:21:30 +0100

=== debian/control ===
Source: markdown-exec
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Carsten Schoenert <c.schoenert@t-online.de>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
Build-Depends-Indep:
 pybuild-plugin-pyproject,
 python3-pdm-pep517,
 python3-pytest <!nocheck>,
 python3-pymdownx,
 python3-markupsafe <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/markdown-exec
Vcs-Git: https://salsa.debian.org/python-team/packages/markdown-exec.git
Homepage: https://github.com/pawamoy/markdown-exec

Package: python3-markdown-exec
Architecture: all
Depends:
 python3-markupsafe,
 ${misc:Depends},
 ${python3:Depends},
Description: Utilities to execute code blocks in Markdown files
 This package enhances the functionality of PyMdown Extensions (provided
 within Debian as package python3-pymdownx). You can use markdown-exec
 if you write e.g a Python code block that computes some HTML and you want
 to place the generated HTML within a code block.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk
export PDM_PEP517_SCM_VERSION = $(DEB_VERSION_UPSTREAM)

export PYBUILD_NAME=markdown_exec
export PYBUILD_SYSTEM=pyproject
export PYBUILD_TEST_ARGS=-vv -k 'not test_output_markdown'

%:
	dh $@ --buildsystem=pybuild

## markdown-exec 1.6.0

=== debian/changelog ===
markdown-exec (1.6.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 17 Jun 2023 16:15:45 +0200

markdown-exec (1.6.0-1) experimental; urgency=medium

  * [a2cd876] New upstream version 1.6.0
  * [e408b57] d/control: Switch to python3-pdm-backend in B-D
  * [10a83f5] d/rules: Use PDM_BUILD_SCM_VERSION for version injecting

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 25 Apr 2023 19:42:48 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #export DH_VERBOSE = 1
 
 include /usr/share/dpkg/pkg-info.mk
-export PDM_PEP517_SCM_VERSION = $(DEB_VERSION_UPSTREAM)
+export PDM_BUILD_SCM_VERSION = $(DEB_VERSION_UPSTREAM)
 
 export PYBUILD_NAME=markdown_exec
 export PYBUILD_SYSTEM=pyproject

## markdown-exec 1.7.0

=== debian/changelog ===
markdown-exec (1.7.0-1) unstable; urgency=medium

  * [c5c6869] d/rules: Add extra action to dh_clean
    (Closes: #1048536)
  * [cddf7dc] New upstream version 1.7.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 22 Oct 2023 09:25:06 +0200

## markdown-exec 1.8.0

=== debian/changelog ===
markdown-exec (1.8.0-1) unstable; urgency=medium

  * [fad0de3] New upstream version 1.8.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 14 Jan 2024 18:41:05 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-all,
 Build-Depends-Indep:
  pybuild-plugin-pyproject,
- python3-pdm-pep517,
+ python3-pdm-backend,
  python3-pytest <!nocheck>,
  python3-pymdownx,
  python3-markupsafe <!nocheck>,

## markdown-exec 1.8.1

=== debian/changelog ===
markdown-exec (1.8.1-1) unstable; urgency=medium

  * [b78cee2] New upstream version 1.8.1
  * [76b52a1] d/copyright: Update year and contact data
  * [fde2b59] d/control: Bump Standards-Version to 4.7.0
  * [fadbb25] d/README.source: Update information about available packages

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Apr 2024 08:06:22 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-pymdownx,
  python3-markupsafe <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/markdown-exec
 Vcs-Git: https://salsa.debian.org/python-team/packages/markdown-exec.git
 Homepage: https://github.com/pawamoy/markdown-exec

=== debian/rules ===
--- 
+++ 
@@ -12,3 +12,7 @@
 
 %:
 	dh $@ --buildsystem=pybuild
+
+override_dh_clean:
+	dh_clean
+	rm -rf .pdm-build

## markdown-exec 1.8.3

=== debian/changelog ===
markdown-exec (1.8.3-1) unstable; urgency=medium

  * [649371d] New upstream version 1.8.3
  * [701168e] d/README.source: Correct comment to usable packages

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 26 May 2024 07:48:05 +0200

## markdown-exec 1.9.2

=== debian/changelog ===
markdown-exec (1.9.2-1) unstable; urgency=medium

  * [bd27598] New upstream version 1.9.2
  * [9f43d27] d/control: Add my name to the uploaders

 -- Abhinav Krishna C K <me@abhy.me>  Sun, 23 Jun 2024 00:42:23 +0530

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Carsten Schoenert <c.schoenert@t-online.de>,
+ Abhinav Krishna C K <me@abhy.me>,
 Section: python
 Priority: optional
 Build-Depends:

## markdown-exec 1.9.3

=== debian/changelog ===
markdown-exec (1.9.3-1) unstable; urgency=medium

  * [8279260] New upstream version 1.9.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 13 Sep 2024 17:36:38 +0200

## markdown-exec 1.10.0

=== debian/changelog ===
markdown-exec (1.10.0-1) unstable; urgency=medium

  * [8daa0e3] New upstream version 1.10.0

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 14 Dec 2024 13:11:41 +0200

## markdown-exec 1.10.1

=== debian/changelog ===
markdown-exec (1.10.1-1) unstable; urgency=medium

  * [f038660] New upstream version 1.10.1
  * [9e6e13b] d/control: Bump Standards-Version to 4.7.2
  * [e9b95c9] d/copyright: Update year data
  * [2e2590c] d/rules: Drop assignment PYBUILD_SYSTEM=pybuild
  * [77eef2a] d/rules: Also clean out .mypy_cache folder on dh_clean

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 18 Mar 2025 18:17:01 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  python3-pymdownx,
  python3-markupsafe <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/markdown-exec
 Vcs-Git: https://salsa.debian.org/python-team/packages/markdown-exec.git
 Homepage: https://github.com/pawamoy/markdown-exec

## markdown-exec 1.10.2

=== debian/changelog ===
markdown-exec (1.10.2-1) unstable; urgency=medium

  * [0a15fa5] New upstream version 1.10.2
  * [2aa0b4b] d/control: Add new needed B-D for tests
  * [061d1bb] autopkgtest: Add additional needed packages for tests

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 22 Mar 2025 14:06:54 +0200

## markdown-exec 1.10.3

=== debian/changelog ===
markdown-exec (1.10.3-1) unstable; urgency=medium

  * [58d2a01] New upstream version 1.10.3

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 10 Apr 2025 16:32:23 +0200

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,14 @@
  dh-sequence-python3,
  python3-all,
 Build-Depends-Indep:
+ mkdocs <!nocheck>,
+ mkdocstrings <!nocheck>,
  pybuild-plugin-pyproject,
+ python3-griffe <!nocheck>,
+ python3-markupsafe <!nocheck>,
  python3-pdm-backend,
+ python3-pymdownx,
  python3-pytest <!nocheck>,
- python3-pymdownx,
- python3-markupsafe <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/markdown-exec

=== debian/watch ===
# watch file for markdown-exec

version=4

opts="mode=git, \
      compression=gz, \
      pgpmode=none, \
      uversionmangle=s/(\d)[_\.\-\+]?((alpha|beta|RC|rc|pre|dev)\.?\d*)$/$1~$2/, \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/pawamoy/markdown-exec.git \
      refs/tags/@ANY_VERSION@

## markdown-exec 1.11.0

=== Makefile ===
# If you have `direnv` loaded in your shell, and allow it in the repository,
# the `make` command will point at the `scripts/make` shell script.
# This Makefile is just here to allow auto-completion in the terminal.

actions = \
	allrun \
	changelog \
	check \
	check-api \
	check-docs \
	check-quality \
	check-types \
	clean \
	coverage \
	docs \
	docs-deploy \
	format \
	help \
	multirun \
	release \
	run \
	setup \
	test \
	vscode

.PHONY: $(actions)
$(actions):
	@python scripts/make "$@"

=== debian/changelog ===
markdown-exec (1.11.0-1) unstable; urgency=medium

  * [1944b5f] d/watch: Convert to version 5
  * [16ead8c] New upstream version 1.11.0
  * [ca2ac16] d/control: Add Recommends on python3-pygments-ansi-color
  * [9ca7790] d/control: Remove Rules-Requires-Root
    The setting of Rules-Requires-Root: no is now default.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 18 Sep 2025 17:23:09 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,6 @@
  python3-pdm-backend,
  python3-pymdownx,
  python3-pytest <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/markdown-exec
 Vcs-Git: https://salsa.debian.org/python-team/packages/markdown-exec.git
@@ -30,6 +29,8 @@
  python3-markupsafe,
  ${misc:Depends},
  ${python3:Depends},
+Recommends:
+ python3-pygments-ansi-color,
 Description: Utilities to execute code blocks in Markdown files
  This package enhances the functionality of PyMdown Extensions (provided
  within Debian as package python3-pymdownx). You can use markdown-exec

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,6 @@
 export PDM_BUILD_SCM_VERSION = $(DEB_VERSION_UPSTREAM)
 
 export PYBUILD_NAME=markdown_exec
-export PYBUILD_SYSTEM=pyproject
 export PYBUILD_TEST_ARGS=-vv -k 'not test_output_markdown'
 
 %:
@@ -15,4 +14,4 @@
 
 override_dh_clean:
 	dh_clean
-	rm -rf .pdm-build
+	rm -rf .mypy_cache .pdm-build

=== debian/tests/control ===
Tests:
 upstream-tests,
Depends:
 mkdocs,
 mkdocstrings,
 python3-all,
 python3-griffe,
 python3-pytest,
 @,
Restrictions:
 allow-stderr,

=== debian/watch ===
Version: 5

Source: https://github.com/pawamoy/markdown-exec.git
Matching-Pattern: refs/tags/@ANY_VERSION@
Compression: gz
Dversion-Mangle: s/\+ds(\.?\d+)?$//
Uversion-Mangle: s/(\d)[_\.\-\+]?((alpha|beta|RC|rc|pre|dev)\.?\d*)$/$1~$2/
Mode: git
Pgpmode: none

## markdown-exec 1.12.1

=== debian/changelog ===
markdown-exec (1.12.1-1) unstable; urgency=medium

  * [6faedd9] New upstream version 1.12.1

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 20 Nov 2025 15:53:21 +0200
